normInteraction {SLGI} | R Documentation

## Normalize a matrix of biological interactions

### Description

Normalize a square matrix of biological interactions according to the number of possible interactions between each biological complex.

### Usage

    normInteraction(data, genename, interactome)

### Arguments

`data` | Square Matrix of biological complexes that shares one or more genes(proteins)
`genename` | Character vector of the gene names that possibly create interactions between complexes
`interactome` | Adjacency matrix where row are genes and columns are cellular organizational units. Each entry has value 0 or 1, for absence or presence of a gene in a complex, e.g., `ScISI`

### Value

Square matrix of biological complexes linked by one or more interacting proteins and normalized by the possible number of interactions between each complex.

### Author(s)

N. LeMeur

### See Also

`getInteraction`

### Examples

    data(Atong)
    data(ScISIC)
    data(SGA)
    SLa2 <- gi2Interactome(Atong, ScISIC)
    ## Search for synthetic lethal interaction
    compM <- getInteraction(SLa2, SGA, ScISIC)
    ## Normalize
    normIntComplex<- normInteraction(compM$bwMat, SGA, ScISIC)

[Package SLGI version 1.4.0 Index]